<style>
#bar1, #bar2, #bar3 {
  width: 35px;
  height: 5px;
  background-color: white;
  margin: 6px 0;
  transition: 0.4s;
}
#bar1.change{
 background-color: #003da5;
}
#bar2.change{
 background-color: #003da5;
}
#bar3.change{
 background-color: #003da5;
}

.change #bar1 {
  -webkit-transform: rotate(-45deg) translate(-9px, 6px);
  transform: rotate(-45deg) translate(-9px, 6px);
}

.change #bar2 {opacity: 0;}

.change #bar3 {
  -webkit-transform: rotate(45deg) translate(-8px, -8px);
  transform: rotate(45deg) translate(-8px, -8px);
}

#navdefault {
  background-color: #003da5;

}
#navdefault.foo {
  background-color: white;

}

</style>

<a id="top"></a>
<div class="header">
    <div id="affix" class="container-fluid" data-spy="affix" data-offset-top="60">
        <nav class="navbar navbar-default" id="navdefault">
            <div class="col-sm-12 navbar-wrapper">
                <div class="navbar-header">
                    <a class="navbar-brand logo" id="logonestle" href="{{url('<front>')}}">
                        <img src="https://www.growhappy.co.id/themes/dancowtheme/dist_layout/img/images/ghc_logoo.png" style="padding:0">
                    </a>
                    <input id="search-bar" class="form-control center-block" id="search-bar" type="text" placeholder="Search..." aria-label="Search">
                    <button type="button" class="navbar-toggle collapsed" id="btnToggle" data-toggle="collapse" data-target="#navbar" onclick="myFunction(this)">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar" id="bar1"></span>
                        <span class="icon-bar" id="bar2"></span>
                        <span class="icon-bar" id="bar3"></span>
                    </button>

                    {% if(adminSess.guestlogin) == true %}
                    <a href="{{ url('<front>') }}profile" id="header-profile-button">
                        <img src="ghc-live/themes/growhappytheme/dist_layout/img/images/banner-profile.png">
                    </a>
                    {% endif %}
                </div>
                <div class="collapse navbar-collapse" id="navbar">
                    <ul class="nav navbar-nav">
                        <li class="menu-home navbar-menus">
                            <a href="/" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{HOME}}'})">
                                <span class="text-center">HOME</span>
                            </a>
                        </li>

                        <li class="menu-product navbar-menus">
                            <a href="{{ url('<front>') }}product" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{PRODUCT}}'})">
                                <span class="text-center">PRODUCT</span>
                            </a>
                        </li>

                        <li class="menu-reward navbar-menus">
                            <a href="{{ url('<front>') }}club" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{REWARDS}}'})">
                                <span class="text-center">REWARDS</span>
                            </a>
                        </li>

                        <li class="menu-99ways navbar-menus">
                            <a href="{{ url('<front>') }}99ways_landing" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '99+ WAYS'})">
                                <span class="text-center">99+ CARA GROW HAPPY</span>
                            </a>
                        </li>

                        <li class="menu-happy-updates navbar-menus"
                        {% if(adminSess.guestlogin) == false %} style="border-bottom: 2px solid #0641A7;margin-bottom:30px;"
                        {% endif %}>
                            <a href="{{ url('<front>') }}happyupdates?cate=all" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{HAPPYUPDATES}}'})">
                                <span class="text-center">HAPPY UPDATES</span>
                            </a>
                        </li>

                        {% if(adminSess.guestlogin) == false %}
                        <li class="menu-guest">
                            <a href="{{ url('<front>') }}login" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{MASUK}}'})"><span>MASUK</span></a>
                        </li>
                        <li class="menu-guest" id="menu-guest-daftar">
                            <!-- unique ID to change background & text color -->
                            <a href="{{ url('<front>') }}register" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{DAFTAR}}'})"><span>DAFTAR</span></a>
                        </li>
                        {% else %}
                        <li class="menu-logout navbar-menus" style="border-bottom: 2px solid #0641A7;margin-bottom:15px;">
                            <a href="{{ url('<front>') }}guestlogout">
                                <span class="text-center" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{LOGOUT}}'})">LOGOUT</span>
                            </a>
                        </li>
                        <li class="menu-guest dropdown hidden-xs" id="menu-guest-profile" style="margin-left: 10px">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                <i class="fa fa-user" style="font-size: 25px;"></i>
                                <i class="fa fa-angle-down hidden-xs" style="margin: 0; padding-left: 0"></i>
                            </a>
                            <ul class="dropdown-menu" role="menu" style="min-width:150px;background:#fff;color:#000;padding-top:10px;padding-bottom:10px;">
                                <li><a style="color: #003da5;" href="{{ url('<front>') }}profile" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{PROFILSAYA}}'})">Profil Saya</a></li>
                                <li><a style="color: #003da5;" href="{{ url('<front>') }}submit-kode" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{SUBMITKODEUNIK}}'})">Submit Kode Unik</a></li>
                                <li><a style="color: #003da5;" href="{{ url('<front>') }}saldo-poin" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{SALDOPOIN}}'})">Saldo Poin</a></li>
                                <li><a style="color: #003da5;" href="{{ url('<front>') }}daftar-rewards" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{TUKARPOIN}}'})">Tukar Poin</a></li>
                                <li><a style="color: #003da5;" href="{{ url('<front>') }}guestlogout" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Header', 'eventAction' : 'Category Link', 'eventLabel' : '{{LOGOUT}}'})">Logout</a></li>
                            </ul>
                        </li>
                        {% endif %}
                    </ul>
                </div>
            </div>
        </nav>
    </div>
</div>

<script>
function myFunction(x) {
  x.classList.toggle("change");
}
$("document").ready(function(){
    $("#search-bar").hide();
    $("#btnToggle").click(function(){
        $("#navdefault").toggleClass('foo');
        $("#bar1").toggleClass('change');
        $("#bar2").toggleClass('change');
        $("#bar3").toggleClass('change');
        $("#search-bar").toggle();
        $("#logonestle").hide();
        $("#user").hide();
        $("#btnToggle").click(function(){
             $("#logonestle").toggle();
             $("#user").toggle();
        });
    });
});
</script>
